import { TTag } from "./types";

export class API {
    constructor(private baseAPIUrl: string) {}

    getVenues = async() => {
        const response = await fetch(`${this.baseAPIUrl}/venue`);
        await response.json();
    }

    getCategories = async() => {
        const response = await fetch(`${this.baseAPIUrl}/category`);
        await response.json();
    }

    getTags = async (): Promise<TTag[]> => {
        const response = await fetch(`${this.baseAPIUrl}/tag`);
        return await response.json();
    }
}