import { useQuery, useQueryClient } from "@tanstack/react-query";
import { API } from "../lib/api";
import { Environment } from "../lib/environment";
import { TTag } from "../lib/types";

export function Index() {
    const api = new API(Environment.BaseAPIUrl);

    const { isLoading, isError, data, error } = useQuery<TTag[], Error>(["tags"], api.getTags);

    return(<div>{data?.map(d => d.name)}</div>);
};